package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcIdcdw;
import com.ruoyi.tcZz.service.ITcIdcdwService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 *  IDC单位Controller
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@RestController
@RequestMapping("/tcZz/networkSecurity/idcdw")
public class TcIdcdwController extends BaseController
{
    @Autowired
    private ITcIdcdwService tcIdcdwService;

    /**
     * 查询 IDC单位列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcIdcdw tcIdcdw)
    {
        startPage();
        List<TcIdcdw> list = tcIdcdwService.selectTcIdcdwList(tcIdcdw);
        return getDataTable(list);
    }

    /**
     * 导出 IDC单位列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:export')")
    @Log(title = " IDC单位", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcIdcdw tcIdcdw)
    {
        List<TcIdcdw> list = tcIdcdwService.selectTcIdcdwList(tcIdcdw);
        ExcelUtil<TcIdcdw> util = new ExcelUtil<TcIdcdw>(TcIdcdw.class);
        util.exportExcel(response, list, " IDC单位数据");
    }

    /**
     * 获取 IDC单位详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcIdcdwService.selectTcIdcdwById(id));
    }

    /**
     * 新增 IDC单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:add')")
    @Log(title = " IDC单位", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcIdcdw tcIdcdw)
    {
        return toAjax(tcIdcdwService.insertTcIdcdw(tcIdcdw));
    }

    /**
     * 修改 IDC单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:edit')")
    @Log(title = " IDC单位", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcIdcdw tcIdcdw)
    {
        return toAjax(tcIdcdwService.updateTcIdcdw(tcIdcdw));
    }

    /**
     * 删除 IDC单位
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:idcdw:remove')")
    @Log(title = " IDC单位", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcIdcdwService.deleteTcIdcdwByIds(ids));
    }
}
