package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcSjlytj;
import com.ruoyi.tcZz.service.ITcSjlytjService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 数据来源统计tc_sjlytj Controller
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@RestController
@RequestMapping("/tcZz/networkSecurity/DataSourceTj")
public class TcSjlytjController extends BaseController
{
    @Autowired
    private ITcSjlytjService tcSjlytjService;

    /**
     * 查询数据来源统计tc_sjlytj 列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcSjlytj tcSjlytj)
    {
        startPage();
        List<TcSjlytj> list = tcSjlytjService.selectTcSjlytjList(tcSjlytj);
        return getDataTable(list);
    }

    /**
     * 导出数据来源统计tc_sjlytj 列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:export')")
    @Log(title = "数据来源统计tc_sjlytj ", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcSjlytj tcSjlytj)
    {
        List<TcSjlytj> list = tcSjlytjService.selectTcSjlytjList(tcSjlytj);
        ExcelUtil<TcSjlytj> util = new ExcelUtil<TcSjlytj>(TcSjlytj.class);
        util.exportExcel(response, list, "数据来源统计tc_sjlytj 数据");
    }

    /**
     * 获取数据来源统计tc_sjlytj 详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcSjlytjService.selectTcSjlytjById(id));
    }

    /**
     * 新增数据来源统计tc_sjlytj 
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:add')")
    @Log(title = "数据来源统计tc_sjlytj ", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcSjlytj tcSjlytj)
    {
        return toAjax(tcSjlytjService.insertTcSjlytj(tcSjlytj));
    }

    /**
     * 修改数据来源统计tc_sjlytj 
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:edit')")
    @Log(title = "数据来源统计tc_sjlytj ", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcSjlytj tcSjlytj)
    {
        return toAjax(tcSjlytjService.updateTcSjlytj(tcSjlytj));
    }

    /**
     * 删除数据来源统计tc_sjlytj 
     */
    @PreAuthorize("@ss.hasPermi('tcZz/networkSecurity:DataSourceTj:remove')")
    @Log(title = "数据来源统计tc_sjlytj ", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcSjlytjService.deleteTcSjlytjByIds(ids));
    }
}
