package com.ruoyi.tcZz.controller;

import java.util.List;
import javax.servlet.http.HttpServletResponse;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.ruoyi.common.annotation.Log;
import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.common.enums.BusinessType;
import com.ruoyi.tcZz.domain.TcYqxxltj;
import com.ruoyi.tcZz.service.ITcYqxxltjService;
import com.ruoyi.common.utils.poi.ExcelUtil;
import com.ruoyi.common.core.page.TableDataInfo;

/**
 * 舆情信息量统计明細Controller
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@RestController
@RequestMapping("/tcZz/netWorkYq/yqxxltj")
public class TcYqxxltjController extends BaseController
{
    @Autowired
    private ITcYqxxltjService tcYqxxltjService;

    /**
     * 查询舆情信息量统计明細列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:list')")
    @GetMapping("/list")
    public TableDataInfo list(TcYqxxltj tcYqxxltj)
    {
        startPage();
        List<TcYqxxltj> list = tcYqxxltjService.selectTcYqxxltjList(tcYqxxltj);
        return getDataTable(list);
    }

    /**
     * 导出舆情信息量统计明細列表
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:export')")
    @Log(title = "舆情信息量统计明細", businessType = BusinessType.EXPORT)
    @PostMapping("/export")
    public void export(HttpServletResponse response, TcYqxxltj tcYqxxltj)
    {
        List<TcYqxxltj> list = tcYqxxltjService.selectTcYqxxltjList(tcYqxxltj);
        ExcelUtil<TcYqxxltj> util = new ExcelUtil<TcYqxxltj>(TcYqxxltj.class);
        util.exportExcel(response, list, "舆情信息量统计明細数据");
    }

    /**
     * 获取舆情信息量统计明細详细信息
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:query')")
    @GetMapping(value = "/{id}")
    public AjaxResult getInfo(@PathVariable("id") Long id)
    {
        return success(tcYqxxltjService.selectTcYqxxltjById(id));
    }

    /**
     * 新增舆情信息量统计明細
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:add')")
    @Log(title = "舆情信息量统计明細", businessType = BusinessType.INSERT)
    @PostMapping
    public AjaxResult add(@RequestBody TcYqxxltj tcYqxxltj)
    {
        return toAjax(tcYqxxltjService.insertTcYqxxltj(tcYqxxltj));
    }

    /**
     * 修改舆情信息量统计明細
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:edit')")
    @Log(title = "舆情信息量统计明細", businessType = BusinessType.UPDATE)
    @PutMapping
    public AjaxResult edit(@RequestBody TcYqxxltj tcYqxxltj)
    {
        return toAjax(tcYqxxltjService.updateTcYqxxltj(tcYqxxltj));
    }

    /**
     * 删除舆情信息量统计明細
     */
    @PreAuthorize("@ss.hasPermi('tcZz/netWorkYq:yqxxltj:remove')")
    @Log(title = "舆情信息量统计明細", businessType = BusinessType.DELETE)
	@DeleteMapping("/{ids}")
    public AjaxResult remove(@PathVariable Long[] ids)
    {
        return toAjax(tcYqxxltjService.deleteTcYqxxltjByIds(ids));
    }
}
