package com.ruoyi.tcZz.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 网络监测对象 tc_wljg
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Data
@ApiModel("网络监测对象")
public class TcWljg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "id")
    private Long id;

    /**
     * 区域id
     */
    @ApiModelProperty(value = "区域id")
    @Excel(name = "区域id")
    private String areaId;

    /**
     * 1.启用 2.禁用
     */
    @ApiModelProperty(value = "1.启用 2.禁用")
    @Excel(name = "1.启用 2.禁用")
    private Long isStatus;

    /**
     * 攻击发起时间
     */
    @Excel(name = "攻击发起时间", dateFormat = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "攻击发起时间")
    private Date startTime;

    /**
     * 攻击源IP
     */
    @Excel(name = "攻击源IP")
    @ApiModelProperty(value = "攻击源IP")
    private String attackyIp;

    /**
     * 攻击类型
     */
    @Excel(name = "攻击类型")
    @ApiModelProperty(value = "攻击类型")
    private String attackType;

    /**
     * 攻击源IP区域
     */
    @Excel(name = "攻击源IP区域")
    @ApiModelProperty(value = "攻击源IP区域")
    private String attackIpArea;

    /**
     * 受攻击目标类型
     */
    @Excel(name = "受攻击目标类型")
    @ApiModelProperty(value = "受攻击目标类型")
    private String type;

    /**
     * 受攻击IP
     */
    @ApiModelProperty(value = "受攻击IP")
    @Excel(name = "受攻击IP")
    private String sAttackIp;

    /**
     * 受攻击IP区域
     */
    @ApiModelProperty(value = "受攻击IP区域")
    private String sAttackIpArea;

    /**
     * 网站安全等级
     */
    @ApiModelProperty(value = "网站安全等级")
    @Excel(name = "网站安全等级")
    private String netLevel;

    /**
     * 所属单位
     */
    @ApiModelProperty(value = "所属单位")
    @Excel(name = "所属单位")
    private String affUnit;

    /**
     * 联系电话
     */
    @ApiModelProperty(value = "联系电话")
    @Excel(name = "联系电话")
    private String linkTel;

    /**
     * 联系人
     */
    @ApiModelProperty(value = "联系人")
    @Excel(name = "联系人")
    private String linkMan;

}