package com.ruoyi.tcZz.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.tcZz.mapper.TcSjlyMapper;
import com.ruoyi.tcZz.domain.TcSjly;
import com.ruoyi.tcZz.service.ITcSjlyService;

/**
 * 数据来源 tc_sjly（可推送）Service业务层处理
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
@Service
public class TcSjlyServiceImpl implements ITcSjlyService 
{
    @Autowired
    private TcSjlyMapper tcSjlyMapper;

    /**
     * 查询数据来源 tc_sjly（可推送）
     * 
     * @param id 数据来源 tc_sjly（可推送）主键
     * @return 数据来源 tc_sjly（可推送）
     */
    @Override
    public TcSjly selectTcSjlyById(Long id)
    {
        return tcSjlyMapper.selectTcSjlyById(id);
    }

    /**
     * 查询数据来源 tc_sjly（可推送）列表
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 数据来源 tc_sjly（可推送）
     */
    @Override
    public List<TcSjly> selectTcSjlyList(TcSjly tcSjly)
    {
        return tcSjlyMapper.selectTcSjlyList(tcSjly);
    }

    /**
     * 新增数据来源 tc_sjly（可推送）
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 结果
     */
    @Override
    public int insertTcSjly(TcSjly tcSjly)
    {
        tcSjly.setCreateTime(DateUtils.getNowDate());
        return tcSjlyMapper.insertTcSjly(tcSjly);
    }

    /**
     * 修改数据来源 tc_sjly（可推送）
     * 
     * @param tcSjly 数据来源 tc_sjly（可推送）
     * @return 结果
     */
    @Override
    public int updateTcSjly(TcSjly tcSjly)
    {
        tcSjly.setUpdateTime(DateUtils.getNowDate());
        return tcSjlyMapper.updateTcSjly(tcSjly);
    }

    /**
     * 批量删除数据来源 tc_sjly（可推送）
     * 
     * @param ids 需要删除的数据来源 tc_sjly（可推送）主键
     * @return 结果
     */
    @Override
    public int deleteTcSjlyByIds(Long[] ids)
    {
        return tcSjlyMapper.deleteTcSjlyByIds(ids);
    }

    /**
     * 删除数据来源 tc_sjly（可推送）信息
     * 
     * @param id 数据来源 tc_sjly（可推送）主键
     * @return 结果
     */
    @Override
    public int deleteTcSjlyById(Long id)
    {
        return tcSjlyMapper.deleteTcSjlyById(id);
    }
}
